View Issue Details

IDProjectCategoryView StatusLast Update
0001852SymmetricDSBugpublic2014-08-02 10:08
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.3 
Target Version3.6.4Fixed in Version3.6.4 
Summary0001852: When a table has multiple transforms, the order of execution should be reversed when a delete comes through the system
DescriptionWhen a table has multiple transforms, the order of execution should be reversed when a delete comes through the system

This will support normalization scenarios. For insert if A -> M, C1, C2. For a delete the children need to be removed first A -> C2, C1, M
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 9f80f581

2014-07-30 16:21:54

chenson

Details Diff
0001852: When a table has multiple transforms, the order of execution should be reversed when a delete comes through the system
0001852
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/TransformWriter.java Diff File

Issue History

Date Modified Username Field Change
2014-07-30 16:21 chenson New Issue
2014-07-30 16:21 chenson Status new => assigned
2014-07-30 16:21 chenson Assigned To => chenson
2014-07-30 16:22 chenson Status assigned => resolved
2014-07-30 16:22 chenson Fixed in Version => 3.6.4
2014-07-30 16:22 chenson Resolution open => fixed
2014-07-30 17:00 chenson Changeset attached => SymmetricDS trunk r8542
2014-08-02 10:08 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 9f80f581